com.opensymphony.xwork2.config.providers

## Class InterceptorBuilder

- java.lang.Object
- - com.opensymphony.xwork2.config.providers.InterceptorBuilder

-     public class InterceptorBuilder
      extends Object

  Builds a list of interceptors referenced by the refName in the supplied PackageConfig.
  Author:
    Mike, Rainer Hermanns, tmjee

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterceptorBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<InterceptorMapping>` | `constructInterceptorReference(InterceptorLocator interceptorLocator, String refName, Map<String,String> refParams, Location location, ObjectFactory objectFactory)` Builds a list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterceptorBuilder

          public InterceptorBuilder()

  - ### Method Detail

    - #### constructInterceptorReference

          public static List<InterceptorMapping> constructInterceptorReference(InterceptorLocator interceptorLocator,
                                                               String refName,
                                                               Map<String,String> refParams,
                                                               Location location,
                                                               ObjectFactory objectFactory)
                                                                        throws ConfigurationException

      Builds a list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).
      Parameters:
        `interceptorLocator` - interceptor locator
        `refName` - reference name
        `refParams` - reference parameters
        `location` - location
        `objectFactory` - object factory
      Returns:
        list of interceptors referenced by the refName in the supplied PackageConfig (InterceptorMapping object).
      Throws:
        `ConfigurationException` - in case of any configuration errors

Copyright © 2000–2020 Apache Software Foundation. All rights reserved.